﻿-- =============================================
-- Script Template
-- =============================================
USE [COWS]
GO
SET NOCOUNT ON
GO

IF (SELECT COUNT(*) FROM [dbo].[LK_VNDR_ORDR_TYPE] WHERE VNDR_ORDR_TYPE_ID = 1) > 0
BEGIN
	UPDATE [dbo].[LK_VNDR_ORDR_TYPE]
	SET [VNDR_ORDR_TYPE_DES] = 'Primary',
		[CREAT_DT] = GETDATE()
	WHERE [VNDR_ORDR_TYPE_ID] = 1	
END
ELSE
BEGIN
	INSERT INTO [dbo].[LK_VNDR_ORDR_TYPE]([VNDR_ORDR_TYPE_ID],[VNDR_ORDR_TYPE_DES],[CREAT_DT])
	VALUES(1, 'Primary', GETDATE())
END
IF (SELECT COUNT(*) FROM [dbo].[LK_VNDR_ORDR_TYPE] WHERE VNDR_ORDR_TYPE_ID = 2) > 0
BEGIN
	UPDATE [dbo].[LK_VNDR_ORDR_TYPE]
	SET [VNDR_ORDR_TYPE_DES] = 'CCD',
		[CREAT_DT] = GETDATE()
	WHERE [VNDR_ORDR_TYPE_ID] = 2	
END
ELSE
BEGIN
	INSERT INTO [dbo].[LK_VNDR_ORDR_TYPE]([VNDR_ORDR_TYPE_ID],[VNDR_ORDR_TYPE_DES],[CREAT_DT])
	VALUES(2, 'CCD', GETDATE())
END
IF (SELECT COUNT(*) FROM [dbo].[LK_VNDR_ORDR_TYPE] WHERE VNDR_ORDR_TYPE_ID = 3) > 0
BEGIN
	UPDATE [dbo].[LK_VNDR_ORDR_TYPE]
	SET [VNDR_ORDR_TYPE_DES] = 'ACR',
		[CREAT_DT] = GETDATE()
	WHERE [VNDR_ORDR_TYPE_ID] = 3	
END
ELSE
BEGIN
	INSERT INTO [dbo].[LK_VNDR_ORDR_TYPE]([VNDR_ORDR_TYPE_ID],[VNDR_ORDR_TYPE_DES],[CREAT_DT])
	VALUES(3, 'ACR', GETDATE())
END




